#ifndef _MYVARDEF_H_
#define _MYVARDEF_H_

#include "../../txmlobject.h"

class VarDef;
class ModuleType;

class MyVarDef:public TXmlObject
{
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new MyVarDef(0,0);
	}

	static const char* type;
	const char* getType() const;

	VarDef* def;
	ModuleType* moduleType;

	TObject* clone()
	{
		return new MyVarDef(def,moduleType);
	}

	MyVarDef(VarDef* def,ModuleType* moduleType):def(def),moduleType(moduleType)
	{
	}
};

#endif/*_MYVARDEF_H_*/
